## org.eclipse.uml2.uml.ecore.importer
Class UMLImporter.EPackageImportInfo

    java.lang.Object
      org.eclipse.emf.converter.ModelConverter.EPackageConvertInfo
          org.eclipse.emf.importer.ModelImporter.EPackageImportInfo
              org.eclipse.uml2.uml.ecore.importer.UMLImporter.EPackageImportInfo

Enclosing class:
  UMLImporter

    public static class UMLImporter.EPackageImportInfo

extends org.eclipse.emf.importer.ModelImporter.EPackageImportInfo

Field Summary
`protected java.lang.String` `operationsPackage`
`protected boolean` `resourceInterfaces`

Fields inherited from class org.eclipse.emf.importer.ModelImporter.EPackageImportInfo
`basePackage, prefix`

Fields inherited from class org.eclipse.emf.converter.ModelConverter.EPackageConvertInfo
`convert, convertData`

Constructor Summary
`UMLImporter.EPackageImportInfo()`

Method Summary
`java.lang.String` `getOperationsPackage()`
`boolean` `isResourceInterfaces()`
`void` `setOperationsPackage(java.lang.String operationsPackage)`
`void` `setResourceInterfaces(boolean resourceInterfaces)`

Methods inherited from class org.eclipse.emf.importer.ModelImporter.EPackageImportInfo
`getBasePackage, getEcoreFileName, getPrefix, setBasePackage, setEcoreFileName, setPrefix`

Methods inherited from class org.eclipse.emf.converter.ModelConverter.EPackageConvertInfo
`getConvertData, isConvert, setConvert, setConvertData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### operationsPackage

    protected java.lang.String operationsPackage

### resourceInterfaces

    protected boolean resourceInterfaces

Constructor Detail

### UMLImporter.EPackageImportInfo

    public UMLImporter.EPackageImportInfo()

Method Detail

### getOperationsPackage

    public java.lang.String getOperationsPackage()

### setOperationsPackage

    public void setOperationsPackage(java.lang.String operationsPackage)

### isResourceInterfaces

    public boolean isResourceInterfaces()

### setResourceInterfaces

    public void setResourceInterfaces(boolean resourceInterfaces)

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.